Package twisted :: Package mail :: Module relaymanager :: Class RelayStateHelper

[show private | hide private]
[frames | no frames]

## Class RelayStateHelper

    OriginalAccessor --+
                       |
           Versioned --+
                       |
      ApplicationService --+
                           |
                          RelayStateHelper

A helper to poke SmartHostSMTPRelayingManager.checkState()

Method Summary
| `__init__(self, manager, delay, *args, **kw)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``disownServiceParent`(self)` Have my parent disown me. (inherited from `ApplicationService`)
| `get_application(self)` (inherited from `ApplicationService`)
| `loop(self)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `set_application(self, application)` (inherited from `ApplicationService`)
| `setApplication(self, application)` (inherited from `ApplicationService`)
| ``setServiceParent`(self, serviceParent)` Set my parent, which must be a service collection of some kind. (inherited from `ApplicationService`)
| ``startService`(self)` This call is made as a service starts up.
| ``stopService`(self)` This call is made before shutdown.
| `upgradeToVersion1(self)` (inherited from `ApplicationService`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`NoneType` | `loopCall`

Method Details

### startService(self)

This call is made as a service starts up.

  Overrides:
    `twisted.internet.app.ApplicationService.startService` (inherited documentation)

### stopService(self)

This call is made before shutdown.

  Overrides:
    `twisted.internet.app.ApplicationService.stopService` (inherited documentation)

Class Variable Details

### loopCall

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:32 2003 | http://epydoc.sf.net